--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.79, 0.27, 0.02, "Tastenbelegung auf Taste M");
	 else
		renderText(0.79, 0.79, 0.02, "AlfamoddingTV Lizard Lynx Alfa");
		renderText(0.79, 0.74, 0.02, "   Taste   :   Funktion:");
		renderText(0.79, 0.72, 0.02, "  NumPad 1 : Blinker Links");
		renderText(0.79, 0.69, 0.02, "  NumPad 2 : Warnblinker");
		renderText(0.79, 0.67, 0.02, "  NumPad 3 : Blinker Rechts");
		renderText(0.79, 0.65, 0.02, "  NumPad 4 : Arbeitslicht Hinten");
		renderText(0.79, 0.63, 0.02, "  NumPad 5 : Reales Licht RUL EIN/AUS");
		renderText(0.79, 0.61, 0.02, "  NumPad 7 : -");
		renderText(0.79, 0.59, 0.02, "  NumPad 8 : -");
		renderText(0.79, 0.57, 0.02, "  NumPad 9 : -");
		renderText(0.79, 0.55, 0.02, " ");
		renderText(0.79, 0.52, 0.02, " ");
		renderText(0.79, 0.50, 0.02, " ");
		renderText(0.79, 0.48, 0.02, " ");
		renderText(0.79, 0.46, 0.02, " ");
		renderText(0.79, 0.43, 0.02, "");
		renderText(0.79, 0.37, 0.02, "       Powered by");
		renderText(0.79, 0.34, 0.02, "   AlfamoddingTV/Donchris");
		renderText(0.79, 0.32, 0.02, "      ");
   
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




